Name: xsane
Version: 0.90
Release: alt1

Summary: XSane is a graphical frontend for scanners. It uses the library SANE
Summary(ru_RU.KOI8-R): Xsane --     ,   SANE
License: GPL
Group: Graphics
Url: http://www.xsane.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.mostang.com/pub/sane/xsane/%name-%version.tar.bz2
Source1: %name-16x16.xpm
Source2: %name.menu
Source3: %name-%version.ru.po
#Patch: %name-%version.gtk2.patch

Requires: sane >= 1.0.4

BuildPreReq: gtk+ >= 1.2.0

# Automatically added by buildreq on Mon Nov 04 2002
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2-devel glib-devel glib2-devel gtk+-devel libXft-devel libatk-devel libexpat libgimp-devel libgtk+2-devel libieee1284-devel libjpeg-devel libpango-devel libpng-devel libsane-devel libtiff-devel libusb-devel pkgconfig recode zlib-devel

%description
XSane is a graphical frontend for SANE library,
which provides access to scanners, digital cameras,
and other capture devices.  XSane is written in GTK+
and provides control for performing the scan and
then manipulating the captured image.
Install this if you want a graphical frontend for
sane for use in the X Window System.

%description -l ru_RU.KOI8-R
XSane --      SANE,
    ,    
  . XSane   GTK+  
     .
 XSane,      
 sane,    X Window.

%package gimp
Summary: A GIMP plug-in which provides the SANE scanner interface
Summary(ru_RU.KOI8-R): 	  GIMP,    SANE.
Group: Graphics
Requires: %name = %version-%release, gimp

%description gimp
This package provides the regular XSane frontend for the SANE scanner
nterface, but it works as a GIMP plug-in.  You must have GIMP
installed to use this package.

%description gimp -l ru_RU.KOI8-R
     XSane  
  SANE,      GIMP.
   GIMP    .

%prep
%setup -q
#%patch -p0
cp -f %SOURCE3 po/ru.po

%build
%configure --enable-gtk2
%__subst 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
%__subst 's|".rc"|".rc-gtk1"|' src/xsane.c
cd po
make utf8
cd -
%make
mv src/xsane src/xsane-gimp
make clean

%configure --disable-gimp --enable-gtk2
%__subst 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
%__subst 's|".rc-gtk1"|".rc"|' src/xsane.c

%make_build

%install
%makeinstall

install src/xsane-gimp %buildroot%_bindir

install -p -m644 -D src/%name-32x32.xpm $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -p -m644 -D src/%name-48x48.xpm $RPM_BUILD_ROOT%_liconsdir/%name.xpm
install -p -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_menudir/%name

%find_lang %name

%post
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%post gimp
if [ -d %_libdir/gimp ]; then
  GIMPDIR=`ls -d %_libdir/gimp/[01]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
  %__ln_s -f %_bindir/xsane-gimp $i/plug-ins/xsane
  done
fi

%postun gimp
if [ $1 = 0 ]; then
  if [ -d %_libdir/gimp ]; then
    GIMPDIR=`ls -d %_libdir/gimp/[01]*`
        [ -z "$GIMPDIR" ] && exit 0
        for i in $GIMPDIR;do
    [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
    %__rm -f $i/plug-ins/xsane
        done
  fi
fi

%files -f %name.lang
%_bindir/%name
%_datadir/sane
%_mandir/man?/*
%_menudir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%doc %name.*

%files gimp
%doc %name.*
%_bindir/%name-gimp

%changelog
* Tue Jan 07 2003 Vitaly Lipatov <lav@altlinux.ru> 0.90-alt1
- new version
- cleanup spec
- add genericname
- add scrollkeeper in post/postun
- renamed rc-file for gtk1 version (xsane for GIMP 1.2.x)

* Mon Nov 04 2002 Vitaly Lipatov <lav@altlinux.ru> 0.89-alt2
- build with GTK2
- add plugin for GIMP packet (in GTK1), from Mandrake's packet

* Mon Oct 28 2002 Vitaly Lipatov <lav@altlinux.ru> 0.89-alt1
- new version
- update russian translation
- cleanup spec, ready for GTK2

* Tue Sep 17 2002 Vitaly Lipatov <lav@altlinux.ru> 0.88-alt1
- new version

* Thu Sep 05 2002 Vitaly Lipatov <lav@altlinux.ru> 0.87-alt1
- new version
- updated russian translation

* Wed Feb 13 2002 AEN <aen@logic.ru> 0.84-alt1
- new version

* Wed Oct 24 2001 Rider <rider@altlinux.ru> 0.80-alt1
- 0.80
- buildrequires fix

* Fri Oct 12 2001 AEN <aen@logic.ru> 0.79-alt3
- rebuilt with libpng.so.3

* Tue Sep 25 2001 AEN <aen@logic.ru> 0.79-alt2
- added russian translation from John Profic

* Mon Aug 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.79-alt1
- 0.79
- Added menu and icons.
- Specfile cleanup.

* Wed Apr  10 2001 Rider <rider@altlinux.ru>
- 0.75

* Tue Apr  3 2001 Rider <rider@altlinux.ru>
- 0.74

* Thu Jan 09 2001 AEN <aen@logic.ru>
- adopted for RE

* Sun Jan 07 2001 David BAUDENS <baudens@mandrakesoft.com> 0.69-2mdk
- Fix buildRequires
- Fix Requires
- Clean %%files section
- Spec clean up

* Mon Jan 01 2001 Daouda Lo <daouda@mandrakesoft.com> 0.69-1mdk
- release

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.68-1mdk
- updated to 0.68

* Fri Dec 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.65-1mdk
- updated to 0.65

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.64-1mdk
- new and shiny version.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.63-1mdk
- new and shiny version.

* Sat Jul 15 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.60-1mdk
- new version
- macrosifications

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.57-2mdk
- fix group

* Thu Mar 16 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- first release for mandrake
